import "vue";
import { p as a, o as i, h as r, j as e } from "./index-16cc6938.mjs";
const f = {
  key: "_dialog",
  name: "Dialog",
  description: "Dialog",
  icon: "mdiDockWindow",
  sequence: 31,
  transform: function(t, l, d) {
    if (d.mode.value == "edit") {
      const o = a("el-card", t, l), s = i(t, "footer");
      return s.style = { "text-align": "right" }, o["#footer"] = s, o.header = (o.title || "No title") + " [Please note: This drawer is NOT WYSIWYG]", o.style = {
        position: "absolute",
        top: "10%",
        // right: '25%',
        // bottom: '20%',
        left: "15%",
        width: t.width || "50%",
        overflow: "auto",
        "z-index": 999
      }, o;
    } else {
      const o = a("el-dialog", t, l);
      return o["#footer"] = i(t, "footer"), o;
    }
  },
  editor: {
    basic: {
      ui: [
        r("title"),
        r("width"),
        e("modal", "Show shadowing layer/Modal"),
        e("close-on-click-modal", "Close on click modal"),
        e("close-on-press-escape", "Close on press escape"),
        e("show-close", "Show close"),
        e("append-to-body", "Append to body"),
        e("destroy-on-close", "Destroy on close"),
        e("fullscreen"),
        e("draggable"),
        e("center", "Header and footer align to center")
      ],
      init: {
        title: "Dialog default title",
        width: "50%",
        modal: !1,
        "close-on-click-modal": !1,
        "close-on-press-escape": !1,
        "show-close": !0,
        "append-to-body": !1,
        "destroy-on-close": !1,
        fullscreen: !1,
        draggable: !0,
        center: !1
      }
    },
    data: {
      type: "Boolean",
      init: {
        mode: "fixed",
        dataContent: "true"
      }
    },
    display: {}
  }
};
export {
  f as default
};
